Serializable
Serializable::unserialize
Serializable
PHP Manual

# Serializable::serialize

(PHP 5 >= 5.1.0)

Serializable::serialize — String representation of object

### Description

abstract public string Serializable::serialize ( void )

Should return the string representation of the object.

> Note:

> This method acts as the destructor of the object. The __destruct() method will not be called after this method.

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of the object or `NULL`

### Errors/Exceptions

Throws Exception when returning other types than strings and `NULL`.

### See Also

- __sleep()

Serializable
Serializable::unserialize
Serializable
PHP Manual